Skip to main content
PATCH
/
v0
/
features
/
{id}
Update
curl --request PATCH \
  --url https://api.paygentic.io/v0/features/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "name": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.paygentic.io/v0/features/{id}"

payload = {
"key": "<string>",
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', name: '<string>', metadata: {}})
};

fetch('https://api.paygentic.io/v0/features/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "feat_x1y2z3a4b5c6d7e8",
  "object": "feature",
  "key": "updated-api-calls",
  "name": "Updated API Calls",
  "type": "metered",
  "merchantId": "org_f9g0h1i2j3k4l5m6",
  "productId": "prod_a1b2c3d4e5f6g7h8",
  "metadata": {
    "unit": "requests",
    "updated": "true"
  },
  "createdAt": "2024-01-08T12:00:00.000Z",
  "updatedAt": "2024-01-08T12:30:00.000Z"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the feature Unique identifier for a feature

Pattern: ^feat_[a-zA-Z0-9]+$

Body

application/json
key
string

Updated feature key slug. Sample values: 'increased-api-limit', 'new-storage-tier'

Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
name
string

Updated feature name.

type
enum<string>

Updated feature type

Available options:
metered,
static,
boolean
metadata
object

Updated metadata for the feature

Response

Feature updated successfully

id
string
required

Unique identifier for a feature

Pattern: ^feat_[a-zA-Z0-9]+$
object
enum<string>
default:feature
required
Available options:
feature
key
string
required
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
name
string
required
type
enum<string>
required
Available options:
metered,
static,
boolean
merchantId
string
required

Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
productId
string
required

Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$
metadata
object
required
createdAt
string<date-time>
required

Timestamp when the feature was created

updatedAt
string<date-time>
required

Timestamp when the feature was last updated